Bug 470895 - (CVE-2008-5022) CVE-2008-5022 Mozilla nsXMLHttpRequest::NotifyEventListeners() same-origin violation
CVE-2008-5022 Mozilla nsXMLHttpRequest::NotifyEventListeners() same-origin vi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 14:34 EST by Josh Bressers
Modified: 2010-12-25 11:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-25 11:52:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-11-10 14:34:21 EST
Mozilla security researcher moz_bug_r_a4 reported that the same-origin
check in nsXMLHttpRequest::NotifyEventListeners() could be bypassed. This
vulnerability could be used to execute JavaScript in the context of a
different website.
Comment 2 Josh Bressers 2008-11-12 20:39:42 EST
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-56.html
Comment 3 Fedora Update System 2008-11-14 07:48:56 EST
firefox-2.0.0.18-1.fc8, epiphany-2.20.3-8.fc8, epiphany-extensions-2.20.1-11.fc8, blam-1.8.3-19.fc8, cairo-dock-1.6.3.1-1.fc8.1, chmsee-1.0.0-5.31.fc8, devhelp-0.16.1-11.fc8, evolution-rss-0.0.8-13.fc8, galeon-2.0.4-6.fc8.3, gnome-python2-extras-2.19.1-19.fc8, gnome-web-photo-0.3-14.fc8, kazehakase-0.5.6-1.fc8.1, liferea-1.4.15-5.fc8, Miro-1.2.7-2.fc8, openvrml-0.17.10-2.0.fc8, ruby-gnome2-0.17.0-3.fc8, yelp-2.20.0-14.fc8, seamonkey-1.1.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-11-14 07:51:08 EST
xulrunner-1.9.0.4-1.fc9, firefox-3.0.4-1.fc9, epiphany-extensions-2.22.1-5.fc9, epiphany-2.22.2-5.fc9, cairo-dock-1.6.3.1-1.fc9.1, chmsee-1.0.1-6.fc9, devhelp-0.19.1-6.fc9, evolution-rss-0.1.0-4.fc9, galeon-2.0.7-3.fc9, gnome-python2-extras-2.19.1-21.fc9, gnome-web-photo-0.3-15.fc9, google-gadgets-0.10.1-5.fc9.1, gtkmozembedmm-1.4.2.cvs20060817-22.fc9, kazehakase-0.5.6-1.fc9.1, Miro-1.2.7-2.fc9, mozvoikko-0.9.5-4.fc9, mugshot-1.2.2-3.fc9, ruby-gnome2-0.17.0-3.fc9, totem-2.23.2-8.fc9, yelp-2.22.1-6.fc9, seamonkey-1.1.13-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-11-21 05:56:19 EST
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-11-21 06:03:46 EST
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-22 11:44:48 EST
thunderbird-2.0.0.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Vincent Danen 2010-12-25 11:52:39 EST
This was addressed via:

Red Hat Enterprise Linux version 4 (thunderbird) RHSA-2008:0976
Red Hat Enterprise Linux Desktop version 5 (thunderbird) RHSA-2008:0976
RHEL Optional Productivity Applications version 5 (thunderbird) RHSA-2008:0976
Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 4 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 4 (firefox) RHSA-2008:0978
Red Hat Enterprise Linux version 5 (firefox) RHSA-2008:0978

Note You need to log in before you can comment on or make changes to this bug.